Snips plugin for Jeedom V4

Hi,

I see on Github that the Jeedom plugin for SNIPS hasn’t been updated since mid April.

Does someone is testing it on Jeedom V4 Release Candidate to make a V4 ready version ?

The Stable V4 isn’t so far away and I would be sure all is working on V4. Will test it, but being on a V4 with beta snips plugin I can say yet that it hasn’t been adapted regarding UI.

Hello KiboOst,

I will be looking at this update and make the changes. Thanks!

Nice,

Don’t hesitate if you have some question. You should be on jeedom partenaire community (for beta tests and plugin dev) :wink:

@coorfang still sometimes on discord ? I did let you a few messages

@coorfang

I have done the modification on UI for V4. It now is inline with V4 UI and handle themes.
I also added a search for intents

Let me know if you need a PR on beta or dev branch

I didn’t do engine testing anyway, only UI conversion

Ideally, you can let master for V3, and create a stableV4 branch. Then have beta and stableV4 for Jeedom V4, set it in your market account and all is right for both v3 and v4

Ok I’ve done a PR on dev branch

1 Like

@coorfang is going to look at it

Just to let you know that my home is now V4, I have put the PR into production, and all works nice :wink:

I guess you can keep actual master for v3, and merge into beta and a new v4 branch for v4 stable.

Hi everyone,

I got a little question, i update jeedom to V4 and now snips on jeedom won’t launch, update dependencies don’t do anaything…

I see that snips look a php7 but my debian 10 is on php7.3.

Some one have a solution please ?

Hello,

There is a stable release on V4 from last Friday. You can have a try.

Hello,

I look but for the moment the snips plugin only use PHP 7.0 and stretch repo, not hp 7.3 and buster. I’ll be waiting the compatibility with this and let my vm on stretch for now with jeedom 4

Hello,

Is there any progress regarding php7.3 and Buster ?

Thanks.

Did you test it ?

snips plugin use jeeObject and not object, so it should works on buster.

I just tried to install it on Buster/V4 and dependencies status is NOK whereas the installation seems to be OK when looking at the “Snips_dep” log

[jeedom-plugin-snips]
[] Start to install dependencies.
[
] Checking necessary working directories.
[] Installing lsb-release, php-pear
Lecture des listes de paquets…
Construction de l’arbre des dépendances…
Lecture des informations d’état…
lsb-release est déjà la version la plus récente (10.2019051400).
php-pear est déjà la version la plus récente (1:1.10.6+submodules+notgz-1.1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
[
] Checking system architecture…
–2019-11-20 15:50:03-- hxxp://repo.mosquitto.org/debian/mosquitto-repo.gpg.key
Résolution de repo.mosquitto.orgxx (repo.mosquitto.orgxx)… 2001:ba8:1f1:f271::2, 85.119.83.194
Connexion à repo.mosquitto.orgxx (repo.mosquitto.orgxx)|2001:ba8:1f1:f271::2|:80… connecté.
requête hxxp transmise, en attente de la réponse… 200 OK
Taille : 3120 (3,0K) [application/octet-stream]
Sauvegarde en : « mosquitto-repo.gpg.key »
0K … 100% 3,65M=0,001s
2019-11-20 15:50:03 (3,65 MB/s) — « mosquitto-repo.gpg.key » sauvegardé [3120/3120]
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
[] Updating package list…
Atteint :1 hxxp://security.debian.org/debian-security buster/updates InRelease
Atteint :2 hxxp://deb.debian.org/debian buster InRelease
Atteint :3 hxxp://deb.debian.org/debian buster-updates InRelease
Lecture des listes de paquets…
[
] Installing mqtt dependencies…
Lecture des listes de paquets…
Construction de l’arbre des dépendances…
Lecture des informations d’état…
libmosquitto-dev est déjà la version la plus récente (1.5.7-1+deb10u1).
mosquitto est déjà la version la plus récente (1.5.7-1+deb10u1).
mosquitto-clients est déjà la version la plus récente (1.5.7-1+deb10u1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
[] Checking PHP version…
[
] Installation is done

I had a look to the install script /var/www/html/plugins/snips/resources/install.sh and I see nothing related to php7.3, only php5.0 and php 7.0

Moreover, mosquitto installation is not done as the script is doing it only for jessie and strech.

So I have changed the install.sh script adding the missing parts for php7.3

echo 90 > ${PROGRESS_FILE}
if [[ -d “/etc/php/7.3” ]]; then
echo “[] PHP7.3 is detected"
echo "[
] Configuring PHP7.3 extension…”
apt-get -y install php7.3-dev
if [[ -d “/etc/php/7.3/cli/” && ! cat /etc/php/7.3/cli/php.ini | grep "mosquitto" ]]; then
echo “” | pecl install Mosquitto-beta
echo “extension=mosquitto.so” | tee -a /etc/php/7.3/cli/php.ini
fi
if [[ -d “/etc/php/7.3/apache2/” && ! cat /etc/php/7.3/apache2/php.ini | grep "mosquitto" ]]; then
echo “extension=mosquitto.so” | tee -a /etc/php/7.3/apache2/php.ini
fi
echo “[*] PHP7 Mosquitto has been installed”
fi

and mosquitto for Buster

    if [ `lsb_release -c -s` == "buster" ]; then
        if [ -e "./mosquitto-buster.list" ]; then
            rm mosquitto-buster.list*
        fi
        wget hxxp://repo.mosquitto.org/debian/mosquitto-buster.list
    fi
fi

deactivated/activated the plugin, restarted the dependencies installation and they are now OK from the plugin view.

Here are the “snips_dep” logs after changing the install.sh script

[jeedom-plugin-snips]
[] Start to install dependencies.
[
] Checking necessary working directories.
[] Installing lsb-release, php-pear
Reading package lists…
Building dependency tree…
Reading state information…
lsb-release is already the newest version (10.2019051400).
php-pear is already the newest version (1:1.10.6+submodules+notgz-1.1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[
] Checking system architecture…
–2019-11-20 16:19:36-- hxxp://repo.mosquitto.org/debian/mosquitto-repo.gpg.key
Resolving repo.mosquitto.orgxx (repo.mosquitto.orgxx)… 2001:ba8:1f1:f271::2, 85.119.83.194
Connecting to repo.mosquitto.orgxx (repo.mosquitto.orgxx)|2001:ba8:1f1:f271::2|:80… connected.
hxxp request sent, awaiting response… 200 OK
Length: 3120 (3.0K) [application/octet-stream]
Saving to: ‘mosquitto-repo.gpg.key.1’
0K … 100% 3.52M=0.001s
2019-11-20 16:19:37 (3.52 MB/s) - ‘mosquitto-repo.gpg.key.1’ saved [3120/3120]
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
2019-11-20 16:19:37-- hxxp://repo.mosquitto.org/debian/mosquitto-buster.list
Resolving repo.mosquitto.orgxx (repo.mosquitto.orgxx)… 2001:ba8:1f1:f271::2, 85.119.83.194
Connecting to repo.mosquitto.orgxx (repo.mosquitto.orgxx)|2001:ba8:1f1:f271::2|:80… connected.
hxxp request sent, awaiting response… 200 OK
Length: 50 [application/octet-stream]
Saving to: ‘mosquitto-buster.list’
0K 100% 5.02M=0s
2019-11-20 16:19:37 (5.02 MB/s) - ‘mosquitto-buster.list’ saved [50/50]
[] Updating package list…
Hit:1 hxxp://security.debian.org/debian-security buster/updates InRelease
Hit:2 hxxp://deb.debian.org/debian buster InRelease
Hit:3 hxxp://deb.debian.org/debian buster-updates InRelease
Get:4 hxxps://repo.mosquitto.org/debian buster InRelease [11.0 kB]
Get:5 hxxps://repo.mosquitto.org/debian buster/main all Packages [1949 B]
Get:6 hxxps://repo.mosquitto.org/debian buster/main amd64 Packages [15.5 kB]
Fetched 28.4 kB in 1s (35.7 kB/s)
Reading package lists…
[
] Installing mqtt dependencies…
Reading package lists…
Building dependency tree…
Reading state information…
The following additional packages will be installed:
libmosquitto1
The following packages will be upgraded:
libmosquitto-dev libmosquitto1 mosquitto mosquitto-clients
4 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 422 kB of archives.
After this operation, 233 kB of additional disk space will be used.
Get:1 hxxps://repo.mosquitto.org/debian buster/main amd64 mosquitto-clients amd64 1.6.7-0mosquitto1~buster1 [91.6 kB]
Get:2 hxxps://repo.mosquitto.org/debian buster/main amd64 libmosquitto-dev amd64 1.6.7-0mosquitto1~buster1 [62.3 kB]
Get:3 hxxps://repo.mosquitto.org/debian buster/main amd64 libmosquitto1 amd64 1.6.7-0mosquitto1~buster1 [79.8 kB]
Get:4 hxxps://repo.mosquitto.org/debian buster/main amd64 mosquitto amd64 1.6.7-0mosquitto1~buster1 [189 kB]
apt-listchanges: Reading changelogs…
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin:
Fetched 422 kB in 1s (750 kB/s)
(Reading database …
(Reading database … 5%
(Reading database … 10%
(Reading database … 15%
(Reading database … 20%
(Reading database … 25%
(Reading database … 30%
(Reading database … 35%
(Reading database … 40%
(Reading database … 45%
(Reading database … 50%
(Reading database … 55%
(Reading database … 60%
(Reading database … 65%
(Reading database … 70%
(Reading database … 75%
(Reading database … 80%
(Reading database … 85%
(Reading database … 90%
(Reading database … 95%
(Reading database … 100%
(Reading database … 58960 files and directories currently installed.)
Preparing to unpack …/mosquitto-clients_1.6.7-0mosquitto1~buster1_amd64.deb …
Unpacking mosquitto-clients (1.6.7-0mosquitto1~buster1) over (1.5.7-1+deb10u1) …
Preparing to unpack …/libmosquitto-dev_1.6.7-0mosquitto1~buster1_amd64.deb …
Unpacking libmosquitto-dev:amd64 (1.6.7-0mosquitto1~buster1) over (1.5.7-1+deb10u1) …
Preparing to unpack …/libmosquitto1_1.6.7-0mosquitto1~buster1_amd64.deb …
Unpacking libmosquitto1:amd64 (1.6.7-0mosquitto1~buster1) over (1.5.7-1+deb10u1) …
Preparing to unpack …/mosquitto_1.6.7-0mosquitto1~buster1_amd64.deb …
Unpacking mosquitto (1.6.7-0mosquitto1~buster1) over (1.5.7-1+deb10u1) …
Setting up libmosquitto1:amd64 (1.6.7-0mosquitto1~buster1) …
Setting up mosquitto-clients (1.6.7-0mosquitto1~buster1) …
Setting up libmosquitto-dev:amd64 (1.6.7-0mosquitto1~buster1) …
Setting up mosquitto (1.6.7-0mosquitto1~buster1) …
Installing new version of config file /etc/init.d/mosquitto …
Installing new version of config file /etc/logrotate.d/mosquitto …
Processing triggers for systemd (241-7~deb10u2) …
Processing triggers for man-db (2.8.5-2) …
Processing triggers for libc-bin (2.28-10) …
[] Checking PHP version…
[
] PHP7.3 is detected
[] Configuring PHP7.3 extension…
Reading package lists…
Building dependency tree…
Reading state information…
php7.3-dev is already the newest version (7.3.11-1~deb10u1).
php7.3-dev set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
WARNING: channel “pecl.php.netxx” has updated its protocols, use “pecl channel-update pecl.php.netxx” to update
downloading Mosquitto-0.4.0.tgz …
Starting to download Mosquitto-0.4.0.tgz (23,804 bytes)
…done: 23,804 bytes
5 source files, building
running: phpize
Configuring for:
PHP Api Version: 20180731
Zend Module Api No: 20180731
Zend Extension Api No: 320180731
Please provide the prefix of the libmosquitto installation [autodetect] : building in /tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0
running: /tmp/pear/temp/Mosquitto/configure --with-php-config=/usr/bin/php-config --with-mosquitto
checking for grep that handles long lines and -e… /usr/bin/grep
checking for egrep… /usr/bin/grep -E
checking for a sed that does not truncate output… /usr/bin/sed
checking for cc… cc
checking whether the C compiler works… yes
checking for C compiler default output file name… a.out
checking for suffix of executables…
checking whether we are cross compiling… no
checking for suffix of object files… o
checking whether we are using the GNU C compiler… yes
checking whether cc accepts -g… yes
checking for cc option to accept ISO C89… none needed
checking how to run the C preprocessor… cc -E
checking for icc… no
checking for suncc… no
checking whether cc understands -c and -o together… yes
checking for system library directory… lib
checking if compiler supports -R… no
checking if compiler supports -Wl,-rpath,… yes
checking build system type… x86_64-pc-linux-gnu
checking host system type… x86_64-pc-linux-gnu
checking target system type… x86_64-pc-linux-gnu
checking for PHP prefix… /usr
checking for PHP includes… -I/usr/include/php/20180731 -I/usr/include/php/20180731/main -I/usr/include/php/20180731/TSRM -I/usr/include/php/20180731/Zend -I/usr/include/php/20180731/ext -I/usr/include/php/20180731/ext/date/lib
checking for PHP extension directory… /usr/lib/php/20180731
checking for PHP installed headers prefix… /usr/include/php/20180731
checking if debug is enabled… no
checking if zts is enabled… no
checking for re2c… no
configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate PHP parsers.
checking for gawk… gawk
checking for mosquitto support… yes, shared
checking for mosquitto files in default path… checking /usr… found in /usr
checking for ANSI C header files… yes
checking for sys/types.h… yes
checking for sys/stat.h… yes
checking for stdlib.h… yes
checking for string.h… yes
checking for memory.h… yes
checking for strings.h… yes
checking for inttypes.h… yes
checking for stdint.h… yes
checking for unistd.h… yes
checking whether strerror_r is declared… yes
checking for strerror_r… yes
checking whether strerror_r returns char … no
checking how to print strings… printf
checking for a sed that does not truncate output… (cached) /usr/bin/sed
checking for fgrep… /usr/bin/grep -F
checking for ld used by cc… /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld… yes
checking for BSD- or MS-compatible name lister (nm)… /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface… BSD nm
checking whether ln -s works… yes
checking the maximum length of command line arguments… 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format… func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format… func_convert_file_noop
checking for /usr/bin/ld option to reload object files… -r
checking for objdump… objdump
checking how to recognize dependent libraries… pass_all
checking for dlltool… no
checking how to associate runtime and link libraries… printf %s
checking for ar… ar
checking for archiver @FILE support… @
checking for strip… strip
checking for ranlib… ranlib
checking for gawk… (cached) gawk
checking command to parse /usr/bin/nm -B output from cc object… ok
checking for sysroot… no
checking for a working dd… /usr/bin/dd
checking how to truncate binary pipes… /usr/bin/dd bs=4096 count=1
checking for mt… mt
checking if mt is a manifest tool… no
checking for dlfcn.h… yes
checking for objdir… .libs
checking if cc supports -fno-rtti -fno-exceptions… no
checking for cc option to produce PIC… -fPIC -DPIC
checking if cc PIC flag -fPIC -DPIC works… yes
checking if cc static flag -static works… yes
checking if cc supports -c -o file.o… yes
checking if cc supports -c -o file.o… (cached) yes
checking whether the cc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries… yes
checking whether -lc should be explicitly linked in… no
checking dynamic linker characteristics… GNU/Linux ld.so
checking how to hardcode library paths into programs… immediate
checking whether stripping libraries is possible… yes
checking if libtool supports shared libraries… yes
checking whether to build shared libraries… yes
checking whether to build static libraries… no
configure: creating ./config.status
config.status: creating config.h
config.status: executing libtool commands
running: make
/bin/bash /tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/libtool --mode=compile cc -I. -I/tmp/pear/temp/Mosquitto -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/include -I/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/main -I/tmp/pear/temp/Mosquitto -I/usr/include/php/20180731 -I/usr/include/php/20180731/main -I/usr/include/php/20180731/TSRM -I/usr/include/php/20180731/Zend -I/usr/include/php/20180731/ext -I/usr/include/php/20180731/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/temp/Mosquitto/mosquitto.c -o mosquitto.lo
libtool: compile: cc -I. -I/tmp/pear/temp/Mosquitto -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/include -I/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/main -I/tmp/pear/temp/Mosquitto -I/usr/include/php/20180731 -I/usr/include/php/20180731/main -I/usr/include/php/20180731/TSRM -I/usr/include/php/20180731/Zend -I/usr/include/php/20180731/ext -I/usr/include/php/20180731/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/temp/Mosquitto/mosquitto.c -fPIC -DPIC -o .libs/mosquitto.o
/bin/bash /tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/libtool --mode=compile cc -I. -I/tmp/pear/temp/Mosquitto -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/include -I/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/main -I/tmp/pear/temp/Mosquitto -I/usr/include/php/20180731 -I/usr/include/php/20180731/main -I/usr/include/php/20180731/TSRM -I/usr/include/php/20180731/Zend -I/usr/include/php/20180731/ext -I/usr/include/php/20180731/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/temp/Mosquitto/mosquitto_message.c -o mosquitto_message.lo
libtool: compile: cc -I. -I/tmp/pear/temp/Mosquitto -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/include -I/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/main -I/tmp/pear/temp/Mosquitto -I/usr/include/php/20180731 -I/usr/include/php/20180731/main -I/usr/include/php/20180731/TSRM -I/usr/include/php/20180731/Zend -I/usr/include/php/20180731/ext -I/usr/include/php/20180731/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/temp/Mosquitto/mosquitto_message.c -fPIC -DPIC -o .libs/mosquitto_message.o
In file included from /usr/include/php/20180731/Zend/zend.h:334,
from /usr/include/php/20180731/main/php.h:34,
from /tmp/pear/temp/Mosquitto/mosquitto_message.c:5:
/tmp/pear/temp/Mosquitto/mosquitto_message.c: In function ‘php_mosquitto_message_read_property’:
/usr/include/php/20180731/Zend/zend_object_handlers.h:169:2: warning: initialization discards ‘const’ qualifier from pointer target type [-Wdiscarded-qualifiers]
(&std_object_handlers)
^
/tmp/pear/temp/Mosquitto/mosquitto_message.c:292:36: note: in expansion of macro ‘zend_get_std_object_handlers’
zend_object_handlers * std_hnd = zend_get_std_object_handlers();
^~~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/pear/temp/Mosquitto/mosquitto_message.c: In function ‘php_mosquitto_message_write_property’:
/usr/include/php/20180731/Zend/zend_object_handlers.h:169:2: warning: initialization discards ‘const’ qualifier from pointer target type [-Wdiscarded-qualifiers]
(&std_object_handlers)
^
/tmp/pear/temp/Mosquitto/mosquitto_message.c:332:36: note: in expansion of macro ‘zend_get_std_object_handlers’
zend_object_handlers * std_hnd = zend_get_std_object_handlers();
^~~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/pear/temp/Mosquitto/mosquitto_message.c: In function ‘php_mosquitto_message_has_property’:
/usr/include/php/20180731/Zend/zend_object_handlers.h:169:2: warning: initialization discards ‘const’ qualifier from pointer target type [-Wdiscarded-qualifiers]
(&std_object_handlers)
^
/tmp/pear/temp/Mosquitto/mosquitto_message.c:392:36: note: in expansion of macro ‘zend_get_std_object_handlers’
zend_object_handlers * std_hnd = zend_get_std_object_handlers();
^~~~~~~~~~~~~~~~~~~~~~~~~~~~
/bin/bash /tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/libtool --mode=link cc -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/include -I/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/main -I/tmp/pear/temp/Mosquitto -I/usr/include/php/20180731 -I/usr/include/php/20180731/main -I/usr/include/php/20180731/TSRM -I/usr/include/php/20180731/Zend -I/usr/include/php/20180731/ext -I/usr/include/php/20180731/ext/date/lib -DHAVE_CONFIG_H -g -O2 -o mosquitto.la -export-dynamic -avoid-version -prefer-pic -module -rpath /tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/modules mosquitto.lo mosquitto_message.lo -lmosquitto
libtool: link: cc -shared -fPIC -DPIC .libs/mosquitto.o .libs/mosquitto_message.o -lmosquitto -g -O2 -Wl,-soname -Wl,mosquitto.so -o .libs/mosquitto.so
libtool: link: ( cd “.libs” && rm -f “mosquitto.la” && ln -s “…/mosquitto.la” “mosquitto.la” )
/bin/bash /tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/libtool --mode=install cp ./mosquitto.la /tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/modules
libtool: install: cp ./.libs/mosquitto.so /tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/modules/mosquitto.so
libtool: install: cp ./.libs/mosquitto.lai /tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/modules/mosquitto.la
libtool: finish: PATH="/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/sbin" ldconfig -n /tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/modules
Libraries have been installed in:
/tmp/pear/temp/pear-build-rootYNEik7/Mosquitto-0.4.0/modules
If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the ‘-LLIBDIR’
flag during linking and do at least one of the following:
-add LIBDIR to the ‘LD_LIBRARY_PATH’ environment variable
during execution
-add LIBDIR to the ‘LD_RUN_PATH’ environment variable
during linking
-use the ‘-Wl,-rpath -Wl,LIBDIR’ linker flag
-have your system administrator add LIBDIR to ‘/etc/ld.so.conf’
See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
Build complete.
Don’t forget to run ‘make test’.
running: make INSTALL_ROOT="/tmp/pear/temp/pear-build-rootYNEik7/install-Mosquitto-0.4.0" install
Installing shared extensions: /tmp/pear/temp/pear-build-rootYNEik7/install-Mosquitto-0.4.0/usr/lib/php/20180731/
running: find “/tmp/pear/temp/pear-build-rootYNEik7/install-Mosquitto-0.4.0” | xargs ls -dils
1711767 4 drwxr-xr-x 3 root root 4096 Nov 20 16:19 /tmp/pear/temp/pear-build-rootYNEik7/install-Mosquitto-0.4.0
1711790 4 drwxr-xr-x 3 root root 4096 Nov 20 16:19 /tmp/pear/temp/pear-build-rootYNEik7/install-Mosquitto-0.4.0/usr
1711791 4 drwxr-xr-x 3 root root 4096 Nov 20 16:19 /tmp/pear/temp/pear-build-rootYNEik7/install-Mosquitto-0.4.0/usr/lib
1711792 4 drwxr-xr-x 3 root root 4096 Nov 20 16:19 /tmp/pear/temp/pear-build-rootYNEik7/install-Mosquitto-0.4.0/usr/lib/php
1711793 4 drwxr-xr-x 2 root root 4096 Nov 20 16:19 /tmp/pear/temp/pear-build-rootYNEik7/install-Mosquitto-0.4.0/usr/lib/php/20180731
1711788 228 -rwxr-xr-x 1 root root 232128 Nov 20 16:19 /tmp/pear/temp/pear-build-rootYNEik7/install-Mosquitto-0.4.0/usr/lib/php/20180731/mosquitto.so
Build process completed successfully
Installing ‘/usr/lib/php/20180731/mosquitto.so’
install ok: channel://pecl.php.net/Mosquitto-0.4.0
configuration option “php_ini” is not set to php.ini location
You should add “extension=mosquitto.so” to php.ini
extension=mosquitto.so
extension=mosquitto.so
[
] PHP7 Mosquitto has been installed
[
] Installation is done

And the plugin is able to start.

I have successfully loaded the assistant with the bindings and tested an intent with a call back scenario.

So except the dependencies installation, the plugin seems to be working with Jeedom V4 on Buster.

NB : I had to replace several links in the logs as I was not allowed to published them as newer member.